# Algorithme Min Max et Monte Carlo

## Description du projet

Nous essayons ici d'implémenter les algorithmes de Monte Carlo et min max pour le jeu Ultimate Tic-tac-Toe afin de créer une IA intelligente. Le jeu Tic-tac-toe a été créé par les 
professeurs, il ne nous restait plus qu'à nous documenter sur ces deux algorithmes particulier afin de pouvoir les implémenter dans le cadre de notre projet.

## Liste des membres du projet

TRAN Alain -> travaille sur la branche MinMax_Alain sur l'algorithme Min-Max.  
CRESCENCE Cassandre -> travaille sur la branche mcts_Cassandre sur l'algorithme Monte Carlo.  
MACE Lloyd -> travaille sur la branche mcts_lloyd sur l'algorithme Monte-Carlo.

## Consignes d'installation

Le code est écrit en Java (sur la plateforme Netbeans). Pour pouvoir visualiser et tester le programme, il suffit néanmoins de posséder une ide capable de lire du Java (Netbeans,
Eclipse...)

## Porte d'entrée dans le code

Pour accéder aux codes de chacun (non finis pour l'instant), il suffit d'aller sur chaque branche attitrée et d'aller dans le SRC.
Pour Lloyd et Cassandre, les classes sont dans le Repository mcts_cassandre ou mcts_lloyd.
Pour Alain, il faut aller dans src et dans le Repository initial TicTacToecodeingame et chercher le tout dans la classe AlgoRechercheMinMax.
Il sera possible d'accéder à ces deux algorithmes dans le master une fois qu'ils seront implémenter correctement et qu'ils marcheront.